html {
    position: relative;
    min-height: 100%;
}
body {
    height:100%;
    padding-top: 70px;
    margin-bottom: 80px;
}
.principal-container {
    margin-top: 15px;
}

.footer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40px; /* Set the fixed height of the footer here */
    line-height: 40px; /* Vertically center the text there */
    background-color: #f5f5f5;
}

.navbar {
    padding: 0.2rem;
}

.cadena {
    color:green;
}

/********************tooltip2****************/
.tooltip2 {
    position: relative;
    /*display: inline-block;*/
}

.tooltip2 .tooltiptext2 {
    visibility: hidden;
    width: 350px;
    background-color: #555;
    color: #fff;
    border-radius: 6px;
    padding: 6px;
    position: absolute;
    z-index: 1;
    bottom: calc((1.5em + 0.75rem) * -1 - 5px);
    left: 5px;
    opacity: 1;
    transition: opacity 0.3s;
}

.tooltip2 .tooltiptext2::after {
    content: "";
    position: absolute;
    top: -15px;
    left: 10px;
    border-width: 8px;
    border-style: solid;
    border-color: transparent transparent #555 transparent;
}

.tooltip2:hover .tooltiptext2 {
    visibility: visible;
    opacity: 1;
}

/*********************************multi level menu*/
.dropdown-submenu {
    position: relative;
}

.dropdown-submenu a::after {
    transform: rotate(-90deg);
    position: absolute;
    right: 6px;
    top: .8em;
}

.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-left: .1rem;
    margin-right: .1rem;
}


/****************modal*************************/
.modal-perso {
    display: none;
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    position: fixed;
    top: 0;
    left: 0;
    z-index: 20000;
}

.modal-perso-container {
    width: 70%;
    height: 100%;
    margin: 5% auto; /* 15% from the top and centered */
    padding: 20px;
}
.close {
    color: #28282b;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

hr {
    /*background-color: #fff;*/
    border-top: 2px dashed #8c8b8b;
    margin: 20px 0;
}

.resultat_recherche {
    /*display: none;*/
    width:90%;
    position: absolute;
    z-index:5;
    background-color: whitesmoke;
    max-height: 150px;
    overflow-y: auto;
}
.list-group {
    font-size: 0.9375rem;
    font-weight: initial;
}

.custom-control-input:checked ~ .custom-control-label::before {
    border-color: var(--success);
    background-color: var(--success);
}

.choix_classe_invalid {
    border: 3px solid var(--danger);
}

.classes_details {
    display: none;
}

.photo_container {
    width: 150px;
    margin: 0 auto
}
.photo_aperçu {
    border: 1px solid var(--gray-dark);
    background-color: var(--light);
    width: 150px;
    height: 200px;
    display: flex;
}

.photo_span {
    margin: auto;
}

.options {
    margin-left: 25px;
}

/***************Bouton d'upload****************/
.fileinput-button {
    position: relative;
    overflow: hidden;
    display: inline-block;
}
.fileinput-button input {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    opacity: 0;
    -ms-filter: 'alpha(opacity=0)';
    font-size: 200px !important;
    direction: ltr;
    cursor: pointer;
}
.progression_upload, .details_upload, .retour_upload {
    display: none;
}

.envoi {
    cursor: pointer;
}

.zone-medicale, #avs, .avs-heures {
    display: none;
}

.form-control {
    margin-bottom: 5px;
}

.logo-thumbs {
    text-align: center;
}
.logo-thumbs .img-thumbnail {
    width: 50%;
}
.viewer {
    background-color: white;
    border: 1px solid #ccc;
    padding: 5px;
}
.header {
    display: flex;
}
.header-colonne {
    flex-direction: column !important;
}
.header .contact-inline {
    display: inline-block;
    align-self: center !important;
}
.header .contact-under {
    display: block;
}
.header p {
    margin: 2px 5px;
    font-size: 12px;
    font-weight: bold;
}
.accueil-header {
    display: flex;
}
.accueil-logo {
    width: 30%;
}
.accueil-logo  img{
    width: 100%;
}
.accueil-nom {
    display: inline-block;
    margin-left: 10px;
}
.accueil-header .accueil-title {
    font-size: 2.5rem;
    font-weight: 300;
    margin-top: 20px;
}
.text-black {
    color: black;
}
p .lead b {
    font-weight: 900;
}
/************editeur***********/
.editeur{
    border: 2px solid #949296;
    border-radius: 5px;
    padding: 0px;
    height: 450px;
    color: black;
}
.card-editeur {
    display: none;
}
.editeur-destinataire, .editeur-signature {
    height: 150px;
}
.editeur-objet {
    height: 50px;
}
.resultat {
    display: none;
}
.barreoutils {
    border: 1px solid  #949296;
    padding: 5px;
}
.editeur-contenu {
    padding: 10px;
    max-height: 400px;
    overflow-y: auto;
}
.contentEditable-courrier {
    position: absolute;
    top: 15px;
    right: 35px;
}

.autorisations li {
    background-color: unset;
}
.badge-champs {
    font-size: inherit;
}

.auto-check {
    cursor: pointer;
}
.liste-items, .parametre-items {
    overflow-y: auto;
}
.liste-colonne {
    min-height: 45px;
}
.structure-ajouter-ligne {
    position: absolute;
    bottom: -30px;
    height: 25px;
    right: 5px;
}
.structure-colonnes-boutons {
    position: absolute;
    z-index: 1000000;
    cursor: pointer;
    display: flex;
}
.structure-ajouter-colonne {
    color: var(--success);
    right: 22px;
    top:1px;
}

.structure-supprimer-ligne {
    color: var(--danger);
    margin-left: 3px;
    top:1px;
    right: 5px;
}
.structure-ajouter-item {
    color: var(--success);
    left:5px;
    bottom: -10px ;
}
.structure-supprimer-colonne {
    color: var(--danger);
    margin-left: 3px;
    right: 5px;
}
.structure-supprimer-item {
    color: var(--danger);
    right: 5px;
}
.structure-ajouter-colonne:hover, .structure-ajouter-item:hover, .structure-supprimer-colonne:hover, .structure-supprimer-item:hover {
    transform: scale(1.5);
}
.colonne-item {
    border-right: 1px var(--light) dashed;
}
.colonne-item:last-child {
    border-right: none;
}
.colonne-item-champ {
    margin-bottom: 10px;
    border-bottom: 2px dashed;
    padding: 5px;
    position: relative;
}

/****************dossier****************/
.card-etape {
    display: inline-flex !important;
}
.slide-container {
    padding: 0;
    overflow-x: hidden;
}
.slide-etapes {
    position: relative;
    transition: all 1s ease-in-out;
}

/**************chargement************/
.chargement {
    position: absolute;
    top: 0;
    left: 0;
    width: 99%;
    height: 100%;
    background-color: var(--gray-dark);
    display: none;
    z-index: 100000;
}
.chargement_spinner {
    left: calc(50% - 32px);
    top: calc(50% - 32px);
}
/*******************spinner****************/
.lds-spinner {
    color: official;
    display: inline-block;
    position: relative;
    width: 64px;
    height: 64px;
}
.lds-spinner div {
    transform-origin: 32px 32px;
    animation: lds-spinner 1.2s linear infinite;
}
.lds-spinner div:after {
    content: " ";
    display: block;
    position: absolute;
    top: 3px;
    left: 29px;
    width: 5px;
    height: 14px;
    border-radius: 20%;
    background: #fff;
}
.lds-spinner div:nth-child(1) {
    transform: rotate(0deg);
    animation-delay: -1.1s;
}
.lds-spinner div:nth-child(2) {
    transform: rotate(30deg);
    animation-delay: -1s;
}
.lds-spinner div:nth-child(3) {
    transform: rotate(60deg);
    animation-delay: -0.9s;
}
.lds-spinner div:nth-child(4) {
    transform: rotate(90deg);
    animation-delay: -0.8s;
}
.lds-spinner div:nth-child(5) {
    transform: rotate(120deg);
    animation-delay: -0.7s;
}
.lds-spinner div:nth-child(6) {
    transform: rotate(150deg);
    animation-delay: -0.6s;
}
.lds-spinner div:nth-child(7) {
    transform: rotate(180deg);
    animation-delay: -0.5s;
}
.lds-spinner div:nth-child(8) {
    transform: rotate(210deg);
    animation-delay: -0.4s;
}
.lds-spinner div:nth-child(9) {
    transform: rotate(240deg);
    animation-delay: -0.3s;
}
.lds-spinner div:nth-child(10) {
    transform: rotate(270deg);
    animation-delay: -0.2s;
}
.lds-spinner div:nth-child(11) {
    transform: rotate(300deg);
    animation-delay: -0.1s;
}
.lds-spinner div:nth-child(12) {
    transform: rotate(330deg);
    animation-delay: 0s;
}
@keyframes lds-spinner {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

.mailtype {
    background-color: white;
    color: black;
}
.mailtype .corps {
    margin-top: 15px;
}
.mailtype .corps a {
    color: #0d2a4a;
}
.mailtype .mail-signature {
    text-align: center;
}

.btn-fullscreen, .eleves-supprimer {
    position: absolute;
    top: 5px;
    right: 5px;
}

.condition {
    display: none;
}

.moove-arrow {
    position: absolute;
    cursor: pointer;
    color: var(--warning);
}
.moove-arrow:hover {
    transform: scale(1.5);
}
.moove-block {
    left: calc(50% - 0.9375rem / 2);
    top: 48px;
}
.moove-colonne {
    left: calc(50% - 0.9375rem / 2);
    bottom: -15px;
}
.moove-ligne {
    top: calc(50% - 0.9375rem / 2);
    left: 5px;
    z-index: 1000000000000000000000;
}

.waiting-direct-download {
    display: none !important;
}

.card-authentification {
    display: none;
}

.btn-cloture-annulation {
    position: absolute;
    top: 5px;
    right: 5px;
}
.html-validator {
    background-color: white;
    height: 500px;
    overflow-y: auto;
    color: black;
}

.info-input {
    display: none;
    background-color: #ecb7b1;
    position: absolute;
    width: 350px;
    right: 5px;
    top:0px;
    z-index: 1000001;
}
.dossier-info-div {
    display: none;
    position: absolute;
    width: 90%;
    z-index: 1000001;
}
